#ifndef M22V2_H
# define M22V2_H

# ifndef M22_H
#  include "m22.h"
# endif
# ifndef V2_H
#  include "v2.h"
# endif

vector2 operator*(C matrix22& a, C vector2& b);
vector2 operator*(C vector2& a, C matrix22& b);

matrix22 outer(C vector2& a, C vector2& b);
inline matrix22 operator%(C vector2& a, C vector2& b)
		{return outer(a, b);}							/* Outer product. */

vector2 row(C matrix22& a, int row_idx);
vector2 column(C matrix22& a, int col_idx);

	/* a*b*a^t */
double quadratic_form(C vector2& a, C matrix22& b);

#endif
